<!DOCTYPE html>
<html lang="no">
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta charset="UTF-8">
  <meta name="theme-color" content="#263238"/>
  <link rel="icon" type="image/png" href="/dist/favicon.png">
  <link rel="stylesheet" href="/css/main.css">

  <style>
    .btn-bg {
      width: 90%;
      height: 90%;
      background-size: contain; 
      background-position: center;
      background-repeat: no-repeat;
    }
    #bg-nextcloud { background-image: url(/img/icons/Nextcloud_Logo.svg); }
    #bg-matrix { background-image: url(/img/icons/Matrix_Logo.svg); }
    #bg-meet { background-image: url(/img/icons/Jitsi_Logo.svg);}
    @media (prefers-color-scheme: dark) {
      #bg-nextcloud { }
      #bg-matrix { filter: invert(); }
      #bg-meet { filter: invert(); }
    }
    
   .service-list {
		padding: 0;
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		list-style: none;
		gap: 1rem;
	}

	.service-list li {
		width: 10rem;
		height: 8rem;
	}

	.service-list li a:focus {
		transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
		box-shadow: 0 0 2px 2px var(--accent-color), 0 .5rem 1rem var(--shadow-color) !important;
	}
	.service-list li a:hover {
		transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
		box-shadow: 0 0 2px 2px var(--accent-color), 0 .5rem 1rem var(--shadow-color) !important;
	}

	.service-list li a {
		font-size: 1.5rem;
		color: var(--text-color);
		text-decoration: none;
		display: block;
		width: 100%;
		height: 100%;
		text-align: center;
		vertical-align:middle;
		display: flex;
		flex-flow: column;
		align-items: center;
		justify-content: center;

		border: thin solid #3c4043;
		border-radius: 0.5rem;
		transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	}

	.service-list li a div {
		vertical-align: middle;
	}

  </style>
</head>
<body class="theme-auto">

  <?php include "common/header.html"; ?>


<div class="cont">

<h1 class="center-txt">Velkommen til Trygves side!</h1>
<h2 class="center-txt">Mine prosjekter:</h2>
<ul class="service-list">
  <li><a href="/liveresultater/"><div>Liveresultater</div></a></li>
  <li><a href="/fuglekasse/"><div>Fuglekasse</div></a></li>
  <li><a href="/filopplasting/"><div>Filopplasting</div></a></li>
</ul>

<h2 class="center-txt">Tjenester:</h2>
<ul class="service-list">
  <li><a href="/matrix_info"><div class="btn-bg" id="bg-matrix"></div></a></li>
  <li><a href="/mumble_info"><div>Mumble</div></a></li>
  <li><a href="https://meet.trygve.me/"><div class="btn-bg" id="bg-meet"></div><div>Meet</div></a></li>
  <li><a href="https://nextcloud.trygve.me/"><div class="btn-bg" id="bg-nextcloud"></div></a></li>
</ul>
</div>
</body>
</html>

